AntiFeatures:
  NonFreeNet:
    en-US: Connects to countly.blockstream.com on app start
  Tracking:
    en-US: Sends analytics to countly.blockstream.com by default
Categories:
  - Money
License: GPL-3.0-only
AuthorName: GreenAddress IT Ltd
AuthorEmail: info@greenaddress.it
WebSite: https://greenaddress.it/
SourceCode: https://github.com/blockstream/green_android
IssueTracker: https://github.com/blockstream/green_android/issues
Translation: https://www.transifex.com/blockstream/blockstream-green/
Changelog: https://github.com/blockstream/green_android/releases

AutoName: Green
Description: |-
  Blockstream Green is a simple and secure Bitcoin wallet that makes it easy to get started sending and receiving Bitcoin and Liquid-based assets such as Liquid Bitcoin (L-BTC) and Tether’s USDt.

  Built by Blockstream, one of the most security-focused teams in the Bitcoin industry, Blockstream Green is supported across multiple platforms and is designed for Bitcoin beginners and power users alike.

  EASY SETUP
  No registration or personal details are required to get started, just write down your recovery phrase and start making Bitcoin transactions right away.

  FASTER & CHEAPER BITCOIN TRANSACTIONS
  Smart fee estimation ensures your Bitcoin payments arrive on time without being charged excessive fees.

  MULTILINGUAL
  We speak your language. Green includes support for Brazilian Portuguese, Chinese (Simplified), Dutch, English, French, German, Hebrew, Italian, Japanese, Korean, Russian, Spanish, Ukrainian, Vietnamese. And more to come!

  BITCOIN LAYER-2 SUPPORT
  Send and receive Liquid Bitcoin L-BTC, Tether’s USDt, and any other Liquid-based assets with a Liquid account.

  TWO-FACTOR MULTISIG SECURITY
  Unique dual-key security with one key protected by two-factor authentication. Multiple authentication options are available including, Google Authenticator, SMS, and email.

  Bitcoin power users will feel right at home with a wide range of advanced features and industry-firsts:

  FEE CONTROL
  Fully customizable transaction fees with replace-by-fee support so that you can start low and adjust the fee if necessary. Great for pushing through urgent transactions without overpaying.

  HARDWARE WALLET SUPPORT
  Integration with Blockstream Jade, Ledger Nano S and X, Trezor One and T (see our help desk for latest compatibility across the various supported platforms).

  TWO-FACTOR THRESHOLDS
  Require two-factor authentication for large payments only, by setting a two-factor threshold. Total payments up to the threshold can be completed without 2FA.

  WATCH-ONLY WALLETS
  Keep an eye on your Bitcoin balances while on the go and receive payments from others without needing to grant payment permissions to your device.

  TESTNET SUPPORT
  Easily make test transactions on Bitcoin testnet.

  PRIVACY
  No documents, personal information, or KYC required. An email address is needed for wallet recovery purposes only. Connect via Tor at the tap of a button, no other apps needed.

  CONNECT TO YOUR OWN NODE
  Verify transactions on your own full node with SPV support.

RepoType: git
Repo: https://github.com/blockstream/green_android.git

Builds:
  - versionName: '1.33'
    versionCode: 33
    commit: '1.33'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.36'
    versionCode: 36
    commit: '1.36'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.37'
    versionCode: 37
    commit: '1.37'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.38'
    versionCode: 38
    commit: '1.38'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.39'
    versionCode: 39
    commit: '1.39'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.41'
    versionCode: 41
    commit: '1.41'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.42'
    versionCode: 42
    commit: '1.42'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.43'
    versionCode: 43
    commit: '1.43'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.44'
    versionCode: 44
    commit: '1.44'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.45'
    versionCode: 45
    commit: '1.45'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.46'
    versionCode: 46
    commit: '1.46'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.47'
    versionCode: 47
    commit: '1.47'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.48'
    versionCode: 48
    commit: '1.48'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.51'
    versionCode: 51
    commit: '1.51'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.52'
    versionCode: 52
    commit: '1.52'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.53'
    versionCode: 53
    commit: '1.53'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - mvn package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.54'
    versionCode: 54
    commit: '1.54'
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.56'
    versionCode: 56
    commit: '1.56'
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.57'
    versionCode: 57
    commit: r1.57
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.58'
    versionCode: 58
    commit: '1.58'
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.60'
    versionCode: 60
    commit: r1.60
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.61'
    versionCode: 61
    commit: r1.61
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.62'
    versionCode: 62
    commit: r1.62
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.63'
    versionCode: 63
    commit: r1.63
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.64'
    versionCode: 64
    commit: r1.64
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.68'
    versionCode: 68
    commit: r1.68
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.69'
    versionCode: 69
    commit: r1.69
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.70'
    versionCode: 70
    commit: r1.70
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.74'
    versionCode: 74
    commit: r1.74
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.75'
    versionCode: 75
    commit: r1.75
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.77'
    versionCode: 77
    commit: r1.77
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.87'
    versionCode: 87
    commit: r1.87
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.89'
    versionCode: 89
    commit: r1.89
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.90'
    versionCode: 90
    commit: r1.90
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.91'
    versionCode: 91
    commit: r1.91
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.92'
    versionCode: 92
    commit: r1.92
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.93'
    versionCode: 93
    commit: r1.93
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.95'
    versionCode: 95
    commit: r1.95
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r13b

  - versionName: '1.96'
    versionCode: 96
    commit: r1.96
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r13b

  - versionName: '1.97'
    versionCode: 97
    commit: r1.97
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '1.98'
    versionCode: 98
    commit: r1.98
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '1.99'
    versionCode: 99
    commit: r1.99
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '2.00'
    versionCode: 200
    commit: r2.00
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '2.02'
    versionCode: 202
    commit: r2.02
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '2.03'
    versionCode: 203
    commit: r2.03
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '2.05'
    versionCode: 205
    commit: r2.05
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r17b

  - versionName: '2.06'
    versionCode: 206
    commit: r2.06
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r17b

  - versionName: '2.07'
    versionCode: 207
    commit: r2.07
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r17b

  - versionName: 3.0.7
    versionCode: 307
    commit: release_3.0.7
    subdir: app
    sudo: apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19b

  - versionName: 3.0.8
    versionCode: 308
    commit: release_3.0.8
    subdir: app
    sudo: apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19b

  - versionName: 3.1.0
    versionCode: 310
    commit: release_3.1.0
    subdir: app
    sudo: apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19b

  - versionName: 3.1.1
    versionCode: 311
    commit: release_3.1.1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.1.2
    versionCode: 312
    commit: release_3.1.2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.1.3
    versionCode: 313
    commit: release_3.1.3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.1.8
    versionCode: 318
    commit: release_3.1.8
    timeout: 18000
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.1.9
    versionCode: 319
    commit: release_3.1.9
    timeout: 18000
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.2.1
    versionCode: 321
    commit: release_3.2.1
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.2.2
    versionCode: 322
    commit: release_3.2.2
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.2.3
    versionCode: 323
    commit: release_3.2.3
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.2.4
    versionCode: 324
    commit: release_3.2.4
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.2.6
    versionCode: 326
    commit: release_3.2.6
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.2.7
    versionCode: 327
    commit: release_3.2.7
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.2.8
    versionCode: 328
    commit: release_3.2.8
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.0
    versionCode: 330
    commit: release_3.3.0
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.2
    versionCode: 332
    commit: release_3.3.2
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.3
    versionCode: 333
    commit: release_3.3.3
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.4
    versionCode: 334
    commit: release_3.3.4
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.5
    versionCode: 335
    commit: release_3.3.5
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.6
    versionCode: 336
    commit: release_3.3.6
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.7
    versionCode: 337
    commit: release_3.3.7
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.8
    versionCode: 338
    commit: release_3.3.8
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.3.9
    versionCode: 339
    commit: release_3.3.9
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.4.0
    versionCode: 340
    commit: release_3.4.0
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.4.1
    versionCode: 341
    commit: release_3.4.1
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.4.2
    versionCode: 342
    commit: release_3.4.2
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.4.3
    versionCode: 343
    commit: release_3.4.3
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.4.4
    versionCode: 344
    commit: release_3.4.4
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.4.5
    versionCode: 345
    commit: release_3.4.5
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.4.7
    versionCode: 347
    commit: release_3.4.7
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.4.9
    versionCode: 349
    commit: release_3.4.9
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.6.0
    versionCode: 22000360
    commit: release_3.6.0
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.6.4
    versionCode: 22000364
    commit: 95987f9de6b69899c2400af4508befdf9f483b7e
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.0
    versionCode: 22000370
    commit: 5f087d14ddcb15c64cc6068134c69ef0885aba73
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.1
    versionCode: 22000371
    commit: 41f8faa992e0168b79dcbcf10351589da2eae753
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.2
    versionCode: 22000372
    commit: 0fded0ee40dc51eea4bfae09cebb637badb35b11
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.3
    versionCode: 22000373
    commit: a2ce021d7752fe489314728ef6a6e25225aecb5d
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.4
    versionCode: 22000374
    commit: 18d12b7be0d9990fe2a02fdabf476c7b763ec85a
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.5
    versionCode: 22000375
    commit: 7c4f6792ccb29c076ed64bb3d8933b9a2c133ff8
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.6
    versionCode: 22000376
    commit: e8ece72ff88f91adf9ef2c82af67a864de91708f
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.7
    versionCode: 22000377
    commit: 7d413583d5facb4e1950c612d72ff1a456072d94
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.8
    versionCode: 22000378
    commit: a4250edf21eef528a852d9748af2f8735969d78e
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    scanignore:
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.7.9
    versionCode: 22000379
    commit: df3d4d4265b3221c584a73465e68ee290b30515d
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.8.0
    versionCode: 22000380
    commit: bde3bbdd506304181752533a72eb08b0d400345d
    timeout: 25200
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    output: green/build/outputs/apk/production/release/*.apk
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild: sed -i -e 's/-p python3/-p python3.9/' crypto/prepare_gdk_clang.sh
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.49.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r19c

  - versionName: 3.8.3
    versionCode: 22000383
    commit: 446b6f1ce03acd2a797898b758ef4f4c47eae243
    timeout: 25200
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild:
      - sed -i -e 's/-p python3/-p python3.9/' ../crypto/prepare_gdk_clang.sh
      - sed -i -e '/signingConfigs/,/^            }/d' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.56.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd ../crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r23b

  - versionName: 3.8.4
    versionCode: 22000384
    commit: 1d09c652dd66c55fe46a17ce39c68d8d304d733b
    timeout: 25200
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild:
      - sed -i -e 's/-p python3/-p python3.9/' ../crypto/prepare_gdk_clang.sh
      - sed -i -e '/signingConfigs/,/^            }/d' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.56.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd ../crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r23b

  - versionName: 3.8.6
    versionCode: 22000386
    commit: e9548081648e77390a917ab3a34aa0934b230e43
    timeout: 25200
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    gradle:
      - production
    srclibs:
      - cpython@v3.9.6
      - rustup@1.24.3
    prebuild:
      - sed -i -e 's/-p python3/-p python3.9/' ../crypto/prepare_gdk_clang.sh
      - sed -i -e '/signingConfigs/,/^            }/d' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.56.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd ../crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r23b

  - versionName: 4.0.3
    versionCode: 22000403
    commit: bdb001e8d233a18ba2cd99505be8acd22285c16c
    timeout: 25200
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y make clang jq libffi-dev virtualenv swig autoconf automake
        libtool cmake pkg-config
    gradle:
      - production
    srclibs:
      - rustup@1.25.2
    prebuild: sed -i -e '/signingConfigs/,/^            }/d' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.68.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd ../crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r25c

  - versionName: 4.0.4
    versionCode: 22000404
    commit: e36758cd8a44db0a91870cde2a619a7501e36cb9
    timeout: 25200
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y make clang jq libffi-dev virtualenv swig autoconf automake
        libtool cmake pkg-config
    gradle:
      - production
    srclibs:
      - rustup@1.25.2
    prebuild: sed -i -e '/signingConfigs/,/^            }/d' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.68.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi x86_64-linux-android
        i686-linux-android
      - cd ../crypto
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh
    ndk: r25c

  - versionName: 4.0.20
    versionCode: 22000420
    commit: 57e8c490c8ef0a1bd25b8f566fdaa03d20461c1d
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y automake clang cmake jq libffi-dev libtool make pkg-config
        swig virtualenv xz-utils
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - production
    srclibs:
      - rustup@1.25.2
    prebuild:
      - sed -i -e '/mvn.breez/d' -e '/zendesk/d' ../build.gradle.kts
      - sed -i -e '/libs.breez.sdk.kmp/d' -e 's!// api(libs.breez.sdk.android)!api(libs.breez.sdk.android)!'
        ../common/build.gradle.kts
      - sed -i -e '/signingConfigs {/,+8d' -e '/signingConfigs.getByName/,+3d' -e
        '/versionNameSuffix/d' build.gradle.kts
      - sed -i -e '/jetbrains.space/d' ../settings.gradle.kts
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.68.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi
      - pushd ../gdk
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh arm64-v8a
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh armeabi-v7a
      - popd
    ndk: 25.1.8937393

  - versionName: 4.0.21
    versionCode: 22000421
    commit: ed6ca44f16494103ec2b6865e00ae1e3be7a8fbc
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y automake clang cmake jq libffi-dev libtool make pkg-config
        swig virtualenv xz-utils
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - production
    srclibs:
      - rustup@1.25.2
    prebuild:
      - sed -i -e '/mvn.breez/d' -e '/zendesk/d' ../build.gradle.kts
      - sed -i -e '/libs.breez.sdk.kmp/d' -e 's!// api(libs.breez.sdk.android)!api(libs.breez.sdk.android)!'
        ../common/build.gradle.kts
      - sed -i -e '/signingConfigs {/,+8d' -e '/signingConfigs.getByName/,+3d' -e
        '/versionNameSuffix/d' build.gradle.kts
      - sed -i -e '/jetbrains.space/d' ../settings.gradle.kts
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.68.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi
      - pushd ../gdk
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh arm64-v8a
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh armeabi-v7a
      - popd
    ndk: 25.1.8937393

  - versionName: 4.0.24
    versionCode: 22000424
    disable: https://github.com/Blockstream/green_android/issues/173#issuecomment-1933621114
    commit: 1ca3fe104969abd3a106efca9b02ee569acd96b1
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y automake clang cmake jq libffi-dev libtool make pkg-config
        swig virtualenv xz-utils
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - production
    srclibs:
      - rustup@1.25.2
    prebuild:
      - sed -i -e '/mvn.breez/d' -e '/zendesk/d' ../build.gradle.kts
      - sed -i -e '/libs.breez.sdk.kmp/d' -e 's!// api(libs.breez.sdk.android)!api(libs.breez.sdk.android)!'
        ../common/build.gradle.kts
      - sed -i -e '/signingConfigs {/,+8d' -e '/signingConfigs.getByName/,+3d' -e
        '/versionNameSuffix/d' build.gradle.kts
      - sed -i -e '/jetbrains.space/d' ../settings.gradle.kts
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.68.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi
      - pushd ../gdk
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh arm64-v8a
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh armeabi-v7a
      - popd
    ndk: 25.1.8937393

  - versionName: 4.0.28
    versionCode: 22000428
    commit: a14807e77150f00764f5579ccbe6c469d4257dd5
    subdir: green
    sudo:
      - apt-get update
      - apt-get install -y automake clang cmake jq libffi-dev libtool make pkg-config
        swig virtualenv xz-utils
    gradle:
      - production
      - FDroid
    srclibs:
      - rustup@1.25.2
    rm:
      - gradle/verification-metadata.xml
    prebuild:
      - sed -i -e '/mvn.breez/d' -e '/zendesk/d' ../build.gradle.kts
      - sed -i -e '/libs.breez.sdk.kmp/d' -e 's!// api(libs.breez.sdk.android)!api(libs.breez.sdk.android)!'
        ../common/build.gradle.kts
      - sed -i -e '/signingConfigs {/,+8d' -e '/signingConfigs.getByName/,+3d' -e
        '/versionNameSuffix/d' build.gradle.kts
      - sed -i -e '/jetbrains.space/d' ../settings.gradle.kts
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup install 1.68.0
      - rustup target add aarch64-linux-android armv7-linux-androideabi
      - pushd ../gdk
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh arm64-v8a
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") PATH=$HOME/.local/bin:$PATH
        ./prepare_gdk_clang.sh armeabi-v7a
      - popd
    ndk: 25.1.8937393

MaintainerNotes: |-
  Watch prepare_gdk_clang.sh for changes on new builds.

  The two files app/src/main/assets/btctestnet/checkpoints and app/src/main/assets/production/checkpoints
  are hashes of the blocks of the respective chains (testnet3 and mainnet) and are re-generated ad-hoc
  occasionally by using the tool ./buildCheckpoints.sh inside the repo while having a bitcoin full node
  for each chain runnin on localhost. They are used to speed up SPV verification when possible and they
  can be verified independently by checking each hash against the blockchain.

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - 22000000 + %c
UpdateCheckData: green/build.gradle.kts|versionCode\s=\s(\d+)|.|versionName\s=\s"([\d.]+)"
CurrentVersion: 4.0.28
CurrentVersionCode: 22000428
